*************************************
*Recode Variables                   *
*************************************

*Load data, whites who took less than 30 minutes
use ExperimentB_Data.dta

*************************************
*Experimental Treatment
*************************************

*******determine treatment
gen exL_imV=0
replace exL_imV=1 if video==1

gen exL_neV=0
replace exL_neV=1 if video==3

gen neL_imV=0
replace neL_imV=1 if video==2

gen neL_neV=0
replace neL_neV=1 if video==4

*************************************
*Create Variables
*************************************

*******issue ads are bad
gen issueadsbad=q8
replace issueadsbad=. if q8==-1
replace issueadsbad=. if q8==6
replace issueadsbad=(issueadsbad-1)/4

*******education, 4=BA or >BA, 3=College, 2=HS, 1=HS<
gen educ=ppeducat

*******age: years
gen age=ppage
gen age2=ppage*ppage

*******female
gen female=0
replace female=1 if ppgender==2

*******Republican: 0=strong democrat, 1=strong Republican
gen Republican=.
*strong democrats
replace Republican=0 if q1==1
*strong Republican
replace Republican=1 if q1==2
*lean democratic
replace Republican=.25 if q2==1
*lean Republicanlican
replace Republican=.75 if q2==2
*true independents
replace Republican=.5 if q2==3

*******conservatism: 0=liberal, 1=conservative
gen conservatism=((q5-1)/6)
*get rid of refusals and don't knows
replace conservatism=. if q5==-1 | q5==8

*******racial predisp pre-test
*higher #'s indicate more anti-black feelings, don't knows coded as missing
gen prdisp1a=.
replace prdisp1a=3 if q6==1
replace prdisp1a=2 if q6==2
replace prdisp1a=1 if q6==3
replace prdisp1a=0 if q6==4

gen prdisp2a=.
replace prdisp2a=3 if q7==4
replace prdisp2a=2 if q7==3
replace prdisp2a=1 if q7==2
replace prdisp2a=0 if q7==1

gen anti_black_predisp=(prdisp2a+prdisp1a)/6

*******education ABP interactions
gen educ_abp=educ*anti_black_predisp

*******policy opinions, post-test
*gov't spending 0=more, 1=less, .5=same, .=DK
gen decrease_spending=.
replace decrease_spending = 0 if q11==3
replace decrease_spending = 1 if q11==1
replace decrease_spending = .5 if q11==2
replace decrease_spending = . if q11==4

*work requirements: 1=strongly support, 0=strongly oppose, .5=neither, .=DK
gen strengthen_work_reqs=.
replace strengthen_work_reqs=1 if q12==1
replace strengthen_work_reqs=.75 if q12==2
replace strengthen_work_reqs=.5 if q12==3
replace strengthen_work_reqs=.25 if q12==4
replace strengthen_work_reqs=0 if q12==5
replace strengthen_work_reqs=. if q12==6

*gov't help blacks: 0= help, 1 help self, .=DK
gen Oppose_Govt_Help_Blacks=.
replace Oppose_Govt_Help_Blacks=0 if q13==1
replace Oppose_Govt_Help_Blacks=1 if q13==2
replace Oppose_Govt_Help_Blacks=. if q13==3

*affirmative action: 0= expand, .5=same, 1=reduce, .=DK
*This variable is appropriate for ordered probit
gen Decrease_Affirmative_Action=.
replace Decrease_Affirmative_Action=0 if q14==1
replace Decrease_Affirmative_Action=.5 if q14==2
replace Decrease_Affirmative_Action=1 if q14==3
replace Decrease_Affirmative_Action=. if q14==4
